:root {
  --mainbg: rgba(50, 25, 10, 1);
  --altbg: rgba(25, 50, 10, 1);
  --menubg: rgba(25, 12, 5, 1);
  --text: rgba(250, 240, 230, 1);
  --shadow: rgba(0, 0, 0, 0.2);
  --inputbg: rgba(0, 0, 0, 0.1);
  --border: var(--mainbg);
  --cardimg: rgba(0, 0, 0, 0.1);
  --cardimg_glow: rgba(255, 255, 255, 0.25);
  --error_text: rgba(128, 0, 0, 1);
}

html {
}

body {
  background-color: var(--mainbg);
  line-height: 1.5;
  font-size: 16px;
  color: var(--text);
  margin: 0 auto;
}

h1, h2, h3, h4, h5, h6, th {
  font-family: "Oswald", sans-serif;
  font-optical-sizing: auto;
  margin: 0;
  padding: 0;
  clear: both;
}

h1 {
  font-size: 40px;

  @media screen and (min-width: 768px) {
    font-size: 48px;
  }
}

h2 {
  font-size: 32px;

  @media screen and (min-width: 768px) {
    font-size: 40px;
  }
}

h3 {
  font-size: 24px;
}

p {
  margin: 16px 0;
  padding: 0;
  font-family: "Fanwood Text", serif;
  font-size: 18px;
}

a {
  color: var(--text);
  font-family: "Roboto", sans-serif;
  text-decoration: none;
  display: inline-block;

  &:hover,
  &:focus {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 5px;
  }
}

div.main {
  padding: 0 16px;
  padding-top: 40px;  
  max-width: 1440px;
  margin: 0 auto;

  @media screen and (min-width: 1024px) {
    padding: 0 32px;
    padding-top: 40px;  
  }
}

.section {
  padding: 0;
  padding-top: 32px;

  @media screen and (min-width: 1024px) {
    padding-top: 56px;
  }
}

.logo-nav-offset {
  margin-top: 175px;

  @media screen and (min-width: 1024px) {
    margin-top: 0;
  }
}

.img {
  width: 100%;

  &.rounded {
    border-radius: 12px;
  }
}

/*
.call-out-link {
  text-align: center;
  margin: 40px 0;
  font-size: 24px;

  &.align-right {
    text-align: right;
  }
}
*/

.hamburger {
  font-size: 32px;
  font-weight: bold;
}

.chevron {
  margin-left: 4px;
  margin-top: 10px;
  border-right: 4px solid;
  border-bottom: 4px solid;
  width: 15px;
  height: 15px;

  &.down {
    transform: rotate(45deg);
  }

  &.up {
    transform: rotate(-135deg);
  }
}

.large-desktop-only {
  display: none;

  @media screen and (min-width: 1024px) {
    display: block;
  }
}

.large-mobile-only {
  @media screen and (min-width: 1024px) {
    display: none;
  }
}

footer {
  text-align: center;
  margin: 80px 0 40px;
  clear: both;
}

table {
  width: 100%;
  margin-top: 24px;
  border-collapse: collapse;
  font-size: 18px;

  th {
    font-size: 20px;
    text-align: left;
    background-color: var(--text);
    color: var(--mainbg);
  }

  td, th {
    padding: 16px;
  }

  a {
    font-weight: bold;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 5px;

    &:hover, &:focus {
      text-decoration: none;
    }
  }

  .price {
    display: flex;
  }

  tr {
    border-bottom: 1px solid var(--text);

    &:last-child {
      border-bottom: 0;
    }
  }
}
.grid-cards {
  --cols: var(--grid-cols);

  margin: 16px 0;

  @media screen and (min-width: 768px) {
    display: grid;
    grid-template-columns: repeat(var(--cols, 3), minmax(0, 1fr));
    gap: 24px;
  }

  .card {
    width: 100%;
    margin-top: 40px;
    display: flex;
    flex-direction: column;

    &:first-child {
      margin-top: 0;
    }

    @media screen and (min-width: 768px) {
      margin-top: 0;
    }

    &:hover, &:focus {
      text-decoration: none;

      h3 {
	text-decoration: underline;
        text-decoration-thickness: 2px;
        text-underline-offset: 5px;
	span {
          text-decoration: underline;
          text-decoration-thickness: 2px;
          text-underline-offset: 5px;
	}
      }

      .call-out {
        background-color: var(--mainbg);
        border-color: var(--text);
        color: var(--text);
      }
    }

    img {
      background-color: var(--cardimg);
      width: 100%;
    }

    h3, p {
      margin-top: 8px;
      span {
        display: inline-block;
      }
    }

    .desc {
      flex-grow: 1;
    }

    .call-out {
      margin-top: 24px;
      background-color: var(--text);
      color: var(--mainbg);
      padding: 8px;
      text-align: center;
      border-radius: 12px;
      font-size: 24px;
      border: 2px solid var(--text);
      cursor: pointer;
    }
  }
}

button {
  margin-top: 24px;
  background-color: var(--text);
  color: var(--mainbg);
  padding: 8px;
  text-align: center;
  border-radius: 12px;
  font-size: 24px;
  border: 2px solid var(--text);
  cursor: pointer;

  &:hover {
    color: var(--text);
    background-color: var(--mainbg);  
  }
}

.menu-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;

  @media screen and (min-width: 1024px) {
    position: sticky;
    display: flex;
    align-items: flex-end;
    padding: 16px 0;
    box-shadow: 0px 5px 2px -2px var(--shadow);
    background-color: var(--menubg);
  }

  .logo-wrapper {
    text-align: center;
    background-color: var(--menubg);
    padding: 16px;
    padding-top: 32px;

    @media screen and (min-width: 1024px) {
      padding-left: 32px;
      padding-right: 32px;
      padding-top: 0;
    }

    .logo {
      filter: brightness(0) invert(1);
      max-height: 100px;
    }
  }

  .menu {
      height: 0;
    overflow: hidden;

    @media screen and (min-width: 1024px) {
      margin-top: -10px;
      height: auto;
    }
  }

  &.open {
    .menu {
      height: auto;
    }
  }

  div.menu-btn {
    padding: 0 16px;
    background-color: var(--menubg);
  }

  button.menu-btn {
    width: 48px;
    height: 64px;

    @media screen and (min-width: 1024px) {
      display: none;
    }

    .chevron {
      display: none;
    }

    &[aria-expanded="true"] {
      .chevron.up {
        display: block;
      }

      .chevron.down {
        display: none;
      }

      .hamburger {
        display: none;
      }
    }
  }
}

nav.menu {
  background-color: var(--menubg);
  margin-top: -60px;

  @media screen and (min-width: 1024px) {
    margin-left: auto;
  }

  ul {
    list-style: none;
    padding: 0;
    margin: 0;

    @media screen and (min-width: 1024px) {
      display: flex;
    }

    li {
      text-align: center;
      padding: 0 32px;

      a {
        white-space: nowrap;
        font-size: 18px;

        @media screen and (min-width: 1024px) {
          font-size: 24px;
        }
      }
    }
  }
}

.list {
  margin-top: 24px;

  .list-item {
    margin-top: 40px;
    display: inline-block;
    border-bottom: 1px solid var(--text);
    padding-bottom: 40px;
    width: 100%;

    &:first-child {
      margin-top: 0;
    }

    @media screen and (min-width: 768px) {
      gap: 24px;
      display: inline-flex;
    }

    img {
      width: 100%;

      @media screen and (min-width: 768px) {
        max-width: 25%;
      }

      & + .text {
        margin-top: 16px;
      }
    }

    .text {
      flex-grow: 1;

      p {
        margin-top: 8px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: var(--line-clamp, 3);
        line-clamp: var(--line-clamp, 3);
        overflow: hidden;
      }
    }

    &:hover,
    &:focus {
      text-decoration: none;

      h3 {
        text-decoration: underline;
        text-decoration-thickness: 2px;
        text-underline-offset: 5px;
      }
    }
  }
}

.blog {
  .yearlinks {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    margin-top: 16px;

    .yearlink {
      font-size: 24px;
      font-family: "Roboto", sans-serif;

      &.active {
        font-weight: bold;
        text-decoration: underline;
        text-decoration-thickness: 2px;
        text-underline-offset: 5px;
      }
    }
  }

  .list {
    margin-top: 80px;
    --line-clamp: none;
  }
  .blogauthor,
  .blogdate {
    font-size: 18px;
    margin-top: 8px;
  }

  .blogauthor {
    font-style: italic;
  }

  .return-to-top {
    text-align: center;
    margin-top: 16px;
  }
}

.product-info {
  @media screen and (min-width: 768px) {
    display: flex;
    gap: 40px;

    .img {
      max-width: 350px;
    }
  }
}

.content {
  @media screen and (min-width: 768px) {
    flex-grow: 1;
  }
}

.name {
  margin-top: 16px;
}

.pricetag {
  font-size: 32px;

  @media screen and (min-width: 768px) {
    font-size: 40px;
  }
}

.currency {
  font-size: 20px;

  @media screen and (min-width: 768px) {
    font-size: 24px;
  } 
}

img.float {
  max-width: 50%;
  width: 400px;
  float: left;
  clear: both;
}
  
.buyprod {
  margin-top: 16px;
  font-size: 18px;
  clear: both;

  label {
    font-weight: bold;
  }

  #qtyavail {
    margin-top: 16px;
    font-style: italic;
  }

  .buy {
    a {
      display: inline-block;
      font-size: 24px;
      margin-top: 24px;
      font-family: "Roboto", sans-serif;
      text-align: center;
      background-color: var(--text);
      color: var(--mainbg, black);
      padding: 16px 0;
      border-radius: 12px;
      width: 100%;

      @media screen and (min-width: 768px) {
        width: auto;
        padding: 16px;
      }
    }
  }
}

input {
  padding: 16px;
  font-size: 18px;
  width: 64px;
  background-color: var(--inputbg);
  border: 2px solid var(--text);
  color: var(--text);
  border-radius: 12px;
  margin-left: 8px;

  @media screen and (min-width: 768px) {
    width: 128px;
  }
}



img.cartphoto {
  max-width: 10vw;
  width: 128px;
  vertical-align: middle;
}

h3.emptycart {
  text-align: center;
  margin: 32px;
  padding: 32px;
}
